=== debian/changelog ===
clang (3.0-6ubuntu3) precise; urgency=low

  * debian/patches/26-armv7-not-neon.patch: adds a d16 FPU target,
    and makes sure that none of the non-NEON FPU options enable
    NEON by default, as well as stopping the broken assumption that
    all armv7/cortex cores support NEON, as they really don't.
  * debian/patches/27-armhf-is-armv7.patch: Make armhf builds
    default to cortex-a8 with vfpv3-d16, to agree with glibc/gcc.
  * 28-powerpc-no-altivec.patch: Don't enable altivec on powerpc by
    default, as not all powerpc-compatible CPUs support altivec.

 -- Adam Conrad <adconrad@ubuntu.com>  Tue, 24 Apr 2012 03:23:07 -0600

clang (3.0-6ubuntu2) precise; urgency=low

  * debian/patches/25-armhf-linker-name.diff: update armhf linker
    path to the recently agreed-upon /lib/ld-linux-armhf.so.3

 -- Adam Conrad <adconrad@ubuntu.com>  Sun, 15 Apr 2012 04:12:53 -0600

clang (3.0-6ubuntu1) precise; urgency=low

  * Merge with Debian (LP: #903509); remaining changes:
    - Set Ubuntu as vendor name instead of Debian.
    - Make the `precise' code name known.
    - Update linker flags for `precise'.
    - Set dynamic linker name for armhf, recognize arm-linux-gnueabihf triplet.
    - Remove auto-generated debian_path.h.
  * debian/patches/23-ubuntu-name.diff: Assume unknown Ubuntu releases
    behave like precise, until we know otherwise.

 -- Anders Kaseorg <andersk@mit.edu>  Fri, 02 Mar 2012 02:14:00 -0500

clang (3.0-6) unstable; urgency=low

  * Improve the soname patch
  * Drop the conflict on ocaml-nox
  * Fix the wrong path detection under armel/armhf
    (Closes: #655432)
  * sse4a / amdfam10 support where not available.
    Thanks to Aaron Haviland for the patch
    (LP: #930494)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 25 Feb 2012 13:23:29 +0100

clang (3.0-5) unstable; urgency=low

  * Fix an issue with a file override when installing libclang-common-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 21 Dec 2011 09:09:58 +0100

clang (3.0-4) unstable; urgency=low

  * Get ride of old option --experimental-checks from the manpage
    (Closes: #652047)
  * Make clang work under powerpc. Thanks to Michel Dänzer for the patch
    (Closes: #652096)
  * Introduce package libclang-common-dev which contains specific clang headers
    which are not (only) target for plugin/extension development.
    Thanks to Gabriel Corona for the help and suggestions (Closes: #652278)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 20 Dec 2011 15:41:35 +0100

clang (3.0-3ubuntu1) precise; urgency=low

  * Merge with Debian; remaining changes:
    - Set Ubuntu as vendor name instead of Debian.
  * Make the `precise' code name known.
  * Update linker flags for `precise'.
  * Set dynamic linker name for armhf, recognize arm-linux-gnueabihf triplet.
  * Remove auto-generated debian_path.h.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 12 Dec 2011 08:52:00 +0100

clang (3.0-3) unstable; urgency=low

  * 23-strlcpy_strlcat_warning_removed.diff: strlcat and strlcpy does not exist
    in Debian (Closes: #651454)
  * 21-searchPathHeaders.diff: Update to include also the path to clang headers
    (Closes: #645731)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sat, 10 Dec 2011 19:24:38 +0100

clang (3.0-2) unstable; urgency=low

  * 21-searchPathHeaders.diff: Update the search path list under x86
    (Closes: #643959)
  * 22-debian-name.diff: Detection of Debian failed (Closes: #651301)
  * debian/control.in/source, debian/control, debian/rules.d/vars.mk:
    Force the minimal version on llvm-3.0-source to 3.0-3 (previous versions
    did not include patches). (Closes: #645546)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 07 Dec 2011 16:28:16 +0100

clang (3.0-1) unstable; urgency=low

  * New upstream release
  * Patches work from debian/patches:
    - 10-handleWheezySid.patch: Removed
    - 11-searchMultiArchLibDir.patch: Removed
    - 13-search-path-dpkg-based.patch: Removed
    - 15-searchPaths.patch: Removed
    - 16-backport-4.6-compta.patch: Removed
    - 17-decltype.patch: Removed
    - 14-linkerflag.patch: Refresh
    - 18-soname.patch: Refresh
    - 19-clang_debian_version.patch: Refresh
    - 20-vendor.patch: Refresh
    - 21-searchPathHeaders.diff: Updated (new search path)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 10 Nov 2011 19:49:09 +0100

clang (2.9-16) unstable; urgency=low

  * Fix one more path issues under i386 ... (Closes: #643959)

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 13 Oct 2011 13:31:16 +0200

clang (2.9-15) unstable; urgency=low

  * Refactoring of some patches
  * Get ride of some gcc 4.5 paths
  * Update the configure arg from 4.5 to 4.6 (Closes: #644975, #640289)

 -- Sylvestre Ledru <sylvestre@debian.org>  Tue, 11 Oct 2011 23:32:19 +0200

clang (2.9-14) unstable; urgency=low

  * Rename libclang0 => libclang1
  * Depends between libclang-dev => libclang1 added 
    Move libclang.so to libclang-dev (Closes: #643940)
  * Fix some build issues
  * Add /usr/lib/gcc/i486-linux-gnu/X.Y/include/stddef.h to the search
    path for header (Closes: #643959)
  * clang can now also build Objective C code (problems with header paths)
  * Missing headers added in /usr/include/clang/ & /usr/include/clang-c/

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 03 Oct 2011 17:17:03 +0200
