=== debian/control ===
Source: clang
Section: devel
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: LLVM Packaging Team <pkg-llvm-team@lists.alioth.debian.org>
Uploaders: Arthur Loiret <aloiret@debian.org>,
 Sylvestre Ledru <sylvestre@debian.org>
Build-Depends: debhelper (>= 6.0.0), flex, bison, dejagnu, tcl8.5, expect,
    autoconf, automake1.9, perl, libtool, doxygen, chrpath, texinfo,
    sharutils, autotools-dev (>= 20060702.1), libffi-dev (>= 3.0.9),
    lsb-release, patchutils, diffstat, xz-utils, llvm-3.0-dev (>= 3.0), llvm-3.0-source (>= 3.0)
Build-Conflicts: oprofile, ocaml, ocaml-nox
Standards-Version: 3.9.2
Homepage: http://www.llvm.org/
Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/clang/trunk/
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/clang/trunk/


Package: clang
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6-4.6-dev,
 libclang-common-dev
Recommends: llvm-3.0-dev, python
Description: Low-Level Virtual Machine (LLVM), C language family frontend
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs. LLVM
 uses a single, language-independent virtual instruction set both
 as an offline code representation (to communicate code between
 compiler phases and to run-time systems) and as the compiler internal
 representation (to analyze and transform programs). This persistent
 code representation allows a common set of sophisticated compiler
 techniques to be applied at compile-time, link-time, install-time,
 run-time, or "idle-time" (between program runs).
 .
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Some of its goals include the following:
 .
 End-User Features:
 .
    * Fast compiles and low memory use
    * Expressive diagnostics (examples)
    * GCC compatibility
 .
 Utility and Applications:
 .
    * Modular library based architecture
    * Support diverse clients (refactoring, static analysis, code
      generation, etc)
    * Allow tight integration with IDEs
    * Use the LLVM 'BSD' License
 .
 Internal Design and Implementation:
 .
    * A real-world, production quality compiler
    * A simple and hackable code base
    * A single unified parser for C, Objective C, C++, and Objective C++
    * Conformance with C/C++/ObjC and their variants

Package: libclang1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6-4.6-dev
Description: clang library
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs. LLVM
 uses a single, language-independent virtual instruction set both
 as an offline code representation (to communicate code between
 compiler phases and to run-time systems) and as the compiler internal
 representation (to analyze and transform programs). This persistent
 code representation allows a common set of sophisticated compiler
 techniques to be applied at compile-time, link-time, install-time,
 run-time, or "idle-time" (between program runs).
 .
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Some of its goals include the following:
 .
 End-User Features:
 .
    * Fast compiles and low memory use
    * Expressive diagnostics (examples)
    * GCC compatibility
 .
 Utility and Applications:
 .
    * Modular library based architecture
    * Support diverse clients (refactoring, static analysis, code
      generation, etc)
    * Allow tight integration with IDEs
    * Use the LLVM 'BSD' License
 .
 Internal Design and Implementation:
 .
    * A real-world, production quality compiler
    * A simple and hackable code base
    * A single unified parser for C, Objective C, C++, and Objective C++
    * Conformance with C/C++/ObjC and their variants
 .
 This package contains the clang library.

Package: libclang-dev
Architecture: any
Section: libdevel
Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6-4.6-dev,
 libclang1 (= ${binary:Version}), libclang-common-dev
Description: clang library - Development package
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs. LLVM
 uses a single, language-independent virtual instruction set both
 as an offline code representation (to communicate code between
 compiler phases and to run-time systems) and as the compiler internal
 representation (to analyze and transform programs). This persistent
 code representation allows a common set of sophisticated compiler
 techniques to be applied at compile-time, link-time, install-time,
 run-time, or "idle-time" (between program runs).
 .
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Some of its goals include the following:
 .
 End-User Features:
 .
    * Fast compiles and low memory use
    * Expressive diagnostics (examples)
    * GCC compatibility
 .
 Utility and Applications:
 .
    * Modular library based architecture
    * Support diverse clients (refactoring, static analysis, code
      generation, etc)
    * Allow tight integration with IDEs
    * Use the LLVM 'BSD' License
 .
 Internal Design and Implementation:
 .
    * A real-world, production quality compiler
    * A simple and hackable code base
    * A single unified parser for C, Objective C, C++, and Objective C++
    * Conformance with C/C++/ObjC and their variants
 .
 This package contains the clang headers to develop extensions over libclang.

Package: libclang-common-dev
Architecture: any
Replaces: libclang-dev
Section: libdevel
Description: clang library - Common development package
 The Low-Level Virtual Machine (LLVM) is a collection of libraries and
 tools that make it easy to build compilers, optimizers, Just-In-Time
 code generators, and many other compiler-related programs. LLVM
 uses a single, language-independent virtual instruction set both
 as an offline code representation (to communicate code between
 compiler phases and to run-time systems) and as the compiler internal
 representation (to analyze and transform programs). This persistent
 code representation allows a common set of sophisticated compiler
 techniques to be applied at compile-time, link-time, install-time,
 run-time, or "idle-time" (between program runs).
 .
 Clang project is a C, C++, Objective C and Objective C++ front-end
 for the LLVM compiler. Some of its goals include the following:
 .
 End-User Features:
 .
    * Fast compiles and low memory use
    * Expressive diagnostics (examples)
    * GCC compatibility
 .
 Utility and Applications:
 .
    * Modular library based architecture
    * Support diverse clients (refactoring, static analysis, code
      generation, etc)
    * Allow tight integration with IDEs
    * Use the LLVM 'BSD' License
 .
 Internal Design and Implementation:
 .
    * A real-world, production quality compiler
    * A simple and hackable code base
    * A single unified parser for C, Objective C, C++, and Objective C++
    * Conformance with C/C++/ObjC and their variants
 .
 This package contains the clang generic headers.
