=== tools/clang/tools/c-index-test/Makefile ===
--- 
+++ 
@@ -10,12 +10,16 @@
 
 TOOLNAME = c-index-test
 
+# If a separate install prefix was specified for internal tools, use it
+# when installing c-index-test.
+INTERNAL_TOOL = 1
+
 # No plugins, optimize startup time.
 TOOL_NO_EXPORTS = 1
 
 LINK_COMPONENTS := support mc
-USEDLIBS = clang.a clangIndex.a clangFrontend.a clangDriver.a \
+USEDLIBS = clang.a clangFrontend.a clangDriver.a \
 	   clangSerialization.a clangParse.a clangSema.a \
-	   clangAnalysis.a clangAST.a clangLex.a clangBasic.a
+	   clangAnalysis.a clangEdit.a clangAST.a clangLex.a clangBasic.a
 
 include $(CLANG_LEVEL)/Makefile
