=== debian/changelog ===
clang (3.1-8ubuntu2) raring; urgency=low

  * Build-depend on python.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Nov 2012 19:24:30 +0100

clang (3.1-8ubuntu1) raring; urgency=low

  * Merge with Debian; remaining changes:
    - Set Ubuntu as vendor name instead of Debian.
    - Update linker flags for `precise'.
    - debian/patches/23-ubuntu-name.diff: Assume unknown Ubuntu releases
      behave like precise, until we know otherwise.
    - debian/patches/25-armhf-linker-name.diff: set armhf linker path
      to the recently agreed-upon /lib/ld-linux-armhf.so.3,
      recognize arm-linux-gnueabihf triplet.
    - debian/patches/26-armv7-not-neon.patch: make sure that none of the
      non-NEON FPU options enable NEON by default, as well as stopping
      the broken assumption that all armv7/cortex cores support NEON,
      as they really don't.
    - debian/patches/27-armhf-is-armv7.patch: Make armhf builds
      default to cortex-a8 with vfpv3-d16, to agree with glibc/gcc.
    - 28-powerpc-no-altivec.patch: Don't enable altivec on powerpc by
      default, as not all powerpc-compatible CPUs support altivec.
  * Build using gcc-4.7.
  * Make the `quantal' and `raring' code names known.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Nov 2012 15:12:59 +0100

clang (3.1-8) unstable; urgency=low

  * Also ship clang static libraries for the plugin developments
    (Closes: #678638)
  * Also disable TEST(unescapeJsonCommandLine, ReturnsEmptyArrayOnEmptyString)
  
 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 27 Jun 2012 23:03:55 +0200

clang (3.1-7) unstable; urgency=low

  * Revert previous change (disable test suite for some archs) 
    and disable instead just the failing test:
    TEST(unescapeJsonCommandLine, SplitsOnSpaces)
    (Closes: #678906)

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 25 Jun 2012 12:00:06 +0200

clang (3.1-6) unstable; urgency=low

  * Disable tests for kfreebsd-amd64 kfreebsd-i386 mips mipsel because a test
    is freezing. This prevents clang to migrate to testing.

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 21 Jun 2012 11:04:39 +0200

clang (3.1-5) unstable; urgency=low

  * When the configure fails, display the content of config.log
  * clang package provides clang-3.1
  * clang package provides virtual package 'c-compiler'
  * control.in/source didn't contain the dependency on gcc-4.6 (Closes: #677853)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 17 Jun 2012 12:03:52 +0200

clang (3.1-4) unstable; urgency=low

  * Force the version 4.6 of gcc to build (Closes: #675056, #674340)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 01 Jun 2012 15:06:28 +0200

clang (3.1-3) unstable; urgency=low

  * Bring back the strlcpy & strlcat patch (Closes: #651454)

 -- Sylvestre Ledru <sylvestre@debian.org>  Fri, 25 May 2012 09:39:24 +0200

clang (3.1-2) unstable; urgency=low

  * Add /usr/include/$(DEB_HOST_MULTIARCH) to the search path 
    with also DEB_HOST_GNU_TYPE (Closes: #671913)

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 23 May 2012 23:32:40 +0200

clang (3.1-1) unstable; urgency=low

  * New upstream release
  * Upload in unstable
  * Update of the description
  * Explicit version dependency between clang => libclang-common-dev

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 21 May 2012 13:31:32 +0200

clang (3.1~+rc1-2) experimental; urgency=low

  * 23-strlcpy_strlcat_warning_removed.diff reconnected
  * 12-gcc-4.6.patch, 22-debian-name.diff, 24-path-multiarch.diff,
    25-amdfam10.diff, 14-linkerflag.patch removed

 -- Sylvestre Ledru <sylvestre@debian.org>  Mon, 23 Apr 2012 18:43:47 +0200

clang (3.1~+rc1-1) experimental; urgency=low

  * New upstream testing release
  * Drop the conflict on ocaml-nox

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 19 Apr 2012 21:04:47 +0200

clang (3.1~svn154769-1) experimental; urgency=low

  * New snapshot release
  * Fix a problem with the dependency on llvm-3.1
  * Enable tests (but do not fail the build if unexpected errors)

 -- Sylvestre Ledru <sylvestre@debian.org>  Sun, 15 Apr 2012 22:28:39 +0200

clang (3.1~svn154596-1) experimental; urgency=low

  * New snapshot release

 -- Sylvestre Ledru <sylvestre@debian.org>  Thu, 12 Apr 2012 21:08:42 +0200
