=== debian/control ===
--- 
+++ 
@@ -8,9 +8,10 @@
 Build-Depends: debhelper (>= 6.0.0), flex, bison, dejagnu, tcl8.5, expect,
     autoconf, automake1.9, perl, libtool, doxygen, chrpath, texinfo,
     sharutils, autotools-dev (>= 20060702.1), libffi-dev (>= 3.0.9),
-    lsb-release, patchutils, diffstat, xz-utils, llvm-3.0-dev (>= 3.0), llvm-3.0-source (>= 3.0)
-Build-Conflicts: oprofile, ocaml, ocaml-nox
-Standards-Version: 3.9.2
+    lsb-release, patchutils, diffstat, xz-utils, llvm-3.1-dev (>= 3.1), llvm-3.1-source (>= 3.1),
+    gcc-4.7, g++-4.7, python
+Build-Conflicts: oprofile, ocaml
+Standards-Version: 3.9.3
 Homepage: http://www.llvm.org/
 Vcs-Svn: svn://svn.debian.org/svn/pkg-llvm/clang/trunk/
 Vcs-Browser: http://svn.debian.org/viewsvn/pkg-llvm/clang/trunk/
@@ -19,8 +20,9 @@
 Package: clang
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libstdc++6-4.6-dev,
- libclang-common-dev
-Recommends: llvm-3.0-dev, python
+ libclang-common-dev (= ${binary:Version})
+Provides: clang-3.1, c-compiler
+Recommends: llvm-3.1-dev, python
 Description: Low-Level Virtual Machine (LLVM), C language family frontend
  The Low-Level Virtual Machine (LLVM) is a collection of libraries and
  tools that make it easy to build compilers, optimizers, Just-In-Time
